#if !defined(AFX_DLGINPUT_HPP__AD22A6C5_994B_11D1_B302_0060973673C5__INCLUDED_)
#define AFX_DLGINPUT_HPP__AD22A6C5_994B_11D1_B302_0060973673C5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// dlginput.hpp : header file
//

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CDialogInput dialog

class CDialogInput : public CDialog
{
// Construction
public:
	CDialogInput(const CString _csStaticText, const CString _csPathText  = "", 
				 const CString _csFileText = "", BOOL _bRecursive = FALSE , CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDialogInput)
	enum { IDD = IDD_DIALOG_INPUTTEXT };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


	CString m_fn_csGetEditText(void)	{ return m_csEditText; }
	CString m_fn_csGetPath(void)		{ return m_csPathText; }
	BOOL	m_fn_bGetRecurse(void)		{ return m_bRecursive; }
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogInput)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDialogInput)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnBtBrowse();
	afx_msg void OnBtRead();
	afx_msg void OnSelChange();
	afx_msg void OnDoubleClick();
    afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CString m_csStaticText;
	CString m_csEditText;
	CString m_csPathText;
	CString m_csFileText;
	BOOL	m_bRecursive;
private:
	void m_fn_vFillList		( void );
	void m_fn_vRecurFillList( const CString _csBeginPathName , const CString _csCurrentPathName, BOOL _bRecursive );

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGINPUT_HPP__AD22A6C5_994B_11D1_B302_0060973673C5__INCLUDED_)
